darcs

Issue 2348 Please use the new testing interface instead

Title Please use the new testing interface instead
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List jaredj, rdesfo
Assigned To
Topics ProbablyEasy

Created on 2013-11-22.06:30:36 by rdesfo, last changed 2014-01-20.19:04:23 by noreply.

Files
File name Uploaded Type Edit Remove
resolve-issue2348_-switch-to-cabal_s-test-framework.dpatch rdesfo, 2013-11-28.07:17:13 application/octet-stream
Messages
msg17088 (view) Author: rdesfo Date: 2013-11-22.06:34:37
1. Summarise the issue (what were doing, what went wrong?)
$ cabal test
Deprecated: "Please use the new testing interface instead!"

2. What behaviour were you expecting instead?
I expected it cabal to run test on the darcs modules.  This is from
darcs still using the deprecated runTests hook and should be changed to
use cabal's test suite. 

3. What darcs version are you using? (Try: darcs --exact-version)
./darcs --exact-version
darcs compiled on Nov 20 2013, at 21:14:46

Context:

[record: no longer accept first commented line as patch name
Guillaume Hoffmann <guillaumh@gmail.com>**20131028183826
 Ignore-this: c09f01d5706c4afc025dd0f6b8965054
] 

[TAG 2.9.8
Guillaume Hoffmann <guillaumh@gmail.com>**20131027233606
 Ignore-this: f5f821af5bc64feda0c2850efb94a57c
] 

Compiled with:

HTTP-4000.2.9
array-0.4.0.1
base-4.6.0.1
base16-bytestring-0.1.1.5
binary-0.5.1.1
bytestring-0.10.0.2
containers-0.5.0.0
cryptohash-0.8.4
data-ordlist-0.4.5
directory-1.2.0.1
filepath-1.3.0.1
hashable-1.2.1.0
hashed-storage-0.5.10
haskeline-0.7.1.1
html-1.0.1.2
mmap-0.5.9
mtl-2.1.2
network-2.4.2.0
old-time-1.1.0.1
parsec-3.1.3
process-1.1.0.2
random-1.0.1.1
regex-compat-0.95.1
tar-0.4.0.1
terminfo-0.3.2.6
text-0.11.3.1
unix-2.6.0.1
utf8-string-0.3.7
vector-0.10.9.1
zlib-0.5.4.1

4. What operating system are you running?
$ uname -ro
3.11.8-1-MANJARO GNU/Linux
msg17089 (view) Author: ganesh Date: 2013-11-22.12:55:03
This is just deprecation, right, the tests do still work? I just checked 
with cabal-install 1.18.0.2/Cabal 1.18.1.2 and the tests do still run.

I think the change is relatively simple, just needs someone to get round 
to it.
msg17131 (view) Author: noreply Date: 2014-01-20.19:04:21
The following patch sent by ryan@desfo.org updated issue issue2348 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2348: switch to cabal's test framework 
Ignore-this: 498f2556a8e598a8201e33897758d6f7
History
Date User Action Args
2013-11-22 06:30:36rdesfocreate
2013-11-22 06:33:48rdesfosetmessages: - msg17087
2013-11-22 06:34:38rdesfosetmessages: + msg17088
2013-11-22 12:55:05ganeshsetstatus: unknown -> needs-implementation
topic: + ProbablyEasy
messages: + msg17089
nosy: + jaredj
2013-11-26 23:34:50ganeshlinkpatch1108 issues
2013-11-28 07:17:13rdesfosetfiles: + resolve-issue2348_-switch-to-cabal_s-test-framework.dpatch
2013-12-04 23:55:38rdesfosetstatus: needs-implementation -> has-patch
2014-01-20 19:04:23noreplysetstatus: has-patch -> resolved
messages: + msg17131
resolvedin: 2.10.0 HEAD